Package com.xebialabs.xlrelease.domain.delivery

# Class StageTrackedItem

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.delivery.StageTrackedItem

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class StageTrackedItem extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StageTrackedItem()`
  `StageTrackedItem(String trackedItemId)`
  `StageTrackedItem(String trackedItemId, TrackedItemStatus status)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addReleaseId(String releaseId)`
  `void`
  `addReleaseIds(Set<String> releaseIds)`
  `Set<String>`
  `getReleaseIds()`
  `TrackedItemStatus`
  `getStatus()`
  `String`
  `getTrackedItemId()`
  `void`
  `setStatus(TrackedItemStatus status)`
  `void`
  `setTrackedItemId(String trackedItemId)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StageTrackedItem

    public StageTrackedItem()

  - ### StageTrackedItem

    public StageTrackedItem(String trackedItemId)

  - ### StageTrackedItem

    public StageTrackedItem(String trackedItemId, TrackedItemStatus status)

- ## Method Details

  - ### getStatus

    public TrackedItemStatus getStatus()

  - ### setStatus

    public void setStatus(TrackedItemStatus status)

  - ### getTrackedItemId

    public String getTrackedItemId()

  - ### setTrackedItemId

    public void setTrackedItemId(String trackedItemId)

  - ### addReleaseId

    public boolean addReleaseId(String releaseId)

  - ### addReleaseIds

    public void addReleaseIds(Set<String> releaseIds)

  - ### getReleaseIds

    public Set<String> getReleaseIds()